PGAEncodeRealAsBinary(1)

NAME
PGAEncodeRealAsBinary - encodes a real value as a binary string

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in
start
    - starting bit position in p to encode val in
end - ending bit position in p to encode val in
low - lower bound of the interval the val is defined on
high
    - lower bound of the interval the val is defined on
val - the real number to be represented as a binary string

OUTPUT PARAMETERS
side
    -effect.

SYNOPSIS
#include "pgapack.h"
void  PGAEncodeRealAsBinary(ctx, p, pop, start, end, low, high, val)
PGAContext *ctx
int p
int pop
int start
int end
double low
double high
double val

LOCATION
evaluate.c

EXAMPLE
Encode 3.14 from the interval [0,10] in 30 bits in bit positions
0--29 in string p in population PGA_NEWPOP.

PGAContext *ctx;
int p;
:
PGAEncodeRealAsBinary(ctx, p, PGA_NEWPOP, 0, 29, 0.0, 10.0, 3.14);